TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

NumberField ( elt-alg^pol f ) -> fld^num

### Optional Arguments

Abs | elt-alg^boo |  |
DoLinearExtension | elt-alg^boo |  |
Check | elt-alg^boo |  |
Global | elt-alg^boo |  |

### Description

<shortdoc> Create the number field obtained by adjoining a root of f to the number field containing the coefficients of f. </shortdoc>

### Examples

NumberField(CyclotomicPolynomial(5));

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack